<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    tools:background="@mipmap/bg_keyboard">

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_quick_switch_white"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/mode_switch_layout"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="2dp"
            android:layout_marginTop="1.5dp"
            android:layout_marginBottom="1.5dp"
            android:background="@mipmap/ic_quick_switch_checked"
            android:gravity="center_vertical">

            <TextView
                android:id="@+id/mode_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="12dp"
                android:text="@string/mode_help_chat"
                android:textColor="@color/text_color_primary"
                android:textSize="12sp"
                android:textStyle="bold" />

            <ImageView
                android:layout_width="18dp"
                android:layout_height="18dp"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="14dp"
                android:layout_marginTop="7dp"
                android:layout_marginEnd="5dp"
                android:layout_marginBottom="7dp"
                android:src="@mipmap/ic_arrow_btn" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/keyboard_select_layout"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/keyboard_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="9dp"
                android:text="@string/common_keyboard"
                android:textColor="@color/text_color_primary"
                android:textSize="12sp" />

            <ImageView
                android:layout_width="14dp"
                android:layout_height="14dp"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="4dp"
                android:layout_marginEnd="8dp"
                android:src="@mipmap/ic_switch" />
        </LinearLayout>
    </LinearLayout>
</FrameLayout>